Bug 1052254 - (CVE-2017-12432) VUL-1: CVE-2017-12432: GraphicsMagick, ImageMagick: Memory exhaustion vulnerability in ReadPCXImage in coders/pcx.c, which allows attackers to cause DoS
(CVE-2017-12432)
VUL-1: CVE-2017-12432: GraphicsMagick, ImageMagick: Memory exhaustion vulnera...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/189606/
CVSSv2:SUSE:CVE-2017-12432:5.0:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 12:46 UTC by Johannes Segitz
Modified: 2018-03-06 23:45 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Reproducer (134 bytes, image/x-pcx)
2017-08-04 12:46 UTC, Johannes Segitz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2017-08-04 12:46:40 UTC
Created attachment 735286 [details]
Reproducer

CVE-2017-12432

In ImageMagick 7.0.6-1, a memory exhaustion vulnerability was found in
the function ReadPCXImage in coders/pcx.c, which allows attackers to
cause a denial of service.

valgrind --leak-check=full --show-leak-kinds=all identify memory_exhaustion_in_ReadPCXImage

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-12432
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12432
Comment 1 Marcus Meissner 2017-09-29 07:05:21 UTC
https://github.com/ImageMagick/ImageMagick/issues/536

attacker controlled large memory allocation OOM DoS
Comment 2 Petr Gajdos 2018-02-06 11:57:11 UTC
BEFORE

12/ImageMagick

$ identify memory_exhaustion_in_ReadPCXImage 
identify: insufficient image data in file `memory_exhaustion_in_ReadPCXImage' @ error/pcx.c/ReadPCXImage/422.
$
[exits immediately]

11/ImageMagick

$ identify memory_exhaustion_in_ReadPCXImage      
identify: Insufficient image data in file `memory_exhaustion_in_ReadPCXImage'.
$
[exits immediately]

11/GraphicsMagick

$ gm identify memory_exhaustion_in_ReadPCXImage      
gm identify: Insufficient image data in file (memory_exhaustion_in_ReadPCXImage).
$
[exits immediately]

42.3/GraphicsMagick

$ gm identify memory_exhaustion_in_ReadPCXImage 
gm identify: Unsupported number of planes (memory_exhaustion_in_ReadPCXImage).
gm identify: Request did not return an image.
$
[exits immediately]

No issues observed. Haven't tried to reduce memory via policy and follow memory usage.

PATCH

https://github.com/ImageMagick/ImageMagick/commit/3ded916c5da6febe9660c3cfa44c3114567adf74

12/ImageMagick: need these checks
11/ImageMagick: need pcx.c check
11/GraphicsMagick: need pcx.c check
42.3/GraphicsMagick: have the pcx.c check, does not need memory.c check

AFTER

12/ImageMagick

$ identify memory_exhaustion_in_ReadPCXImage 
052254: improper image header `memory_exhaustion_in_ReadPCXImage' @ error/pcx.c/ReadPCXImage/376.
$
[fails sooner]

11/GraphicsMagick

$ identify memory_exhaustion_in_ReadPCXImage 
identify: Improper image header `memory_exhaustion_in_ReadPCXImage'.
$
[fails sooner]

11/GraphicsMagick

$ gm identify memory_exhaustion_in_ReadPCXImage       
gm identify: Improper image header (memory_exhaustion_in_ReadPCXImage).
$
[fails sooner]
Comment 3 Petr Gajdos 2018-02-06 11:57:35 UTC
Will sumbit for: 12/ImageMagick, 11/ImageMagick and 11/GraphicsMagick
Comment 4 Petr Gajdos 2018-02-09 16:02:10 UTC
I believe all fixed.
Comment 8 Swamp Workflow Management 2018-02-20 14:09:30 UTC
SUSE-SU-2018:0486-1: An update that fixes 24 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1042824,1048110,1049374,1049375,1050048,1050617,1050669,1052207,1052248,1052251,1052254,1052472,1052688,1052711,1052747,1052750,1052761,1055069,1055229,1058009,1074119,1076182,1078433
CVE References: CVE-2017-11166,CVE-2017-11448,CVE-2017-11450,CVE-2017-11537,CVE-2017-11637,CVE-2017-11638,CVE-2017-11642,CVE-2017-12418,CVE-2017-12427,CVE-2017-12429,CVE-2017-12432,CVE-2017-12566,CVE-2017-12654,CVE-2017-12664,CVE-2017-12665,CVE-2017-12668,CVE-2017-12674,CVE-2017-13058,CVE-2017-13131,CVE-2017-14224,CVE-2017-17885,CVE-2017-18028,CVE-2017-9407,CVE-2018-6405
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.34.1
SUSE Linux Enterprise Server 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.34.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.34.1
Comment 9 Swamp Workflow Management 2018-02-22 14:09:33 UTC
SUSE-SU-2018:0524-1: An update that fixes 20 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1042824,1047900,1049374,1049375,1050617,1050669,1052248,1052251,1052254,1052472,1052688,1055069,1055229,1058009,1072934,1073081,1074307,1076182,1078433
CVE References: CVE-2017-11140,CVE-2017-11448,CVE-2017-11450,CVE-2017-11637,CVE-2017-11638,CVE-2017-11642,CVE-2017-12427,CVE-2017-12429,CVE-2017-12432,CVE-2017-12566,CVE-2017-12668,CVE-2017-13058,CVE-2017-13131,CVE-2017-14224,CVE-2017-17502,CVE-2017-17503,CVE-2017-17912,CVE-2017-18028,CVE-2017-9407,CVE-2018-6405
Sources used:
SUSE Studio Onsite 1.3 (src):    GraphicsMagick-1.2.5-4.78.38.1
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    GraphicsMagick-1.2.5-4.78.38.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    GraphicsMagick-1.2.5-4.78.38.1
Comment 10 Swamp Workflow Management 2018-03-01 20:16:48 UTC
SUSE-SU-2018:0581-1: An update that fixes 35 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1042824,1042911,1048110,1048272,1049374,1049375,1050048,1050119,1050122,1050126,1050132,1050617,1052207,1052248,1052251,1052254,1052472,1052688,1052711,1052747,1052750,1052754,1052761,1055069,1055229,1056768,1057163,1058009,1072898,1074119,1074170,1075821,1076182,1078433
CVE References: CVE-2017-11166,CVE-2017-11170,CVE-2017-11448,CVE-2017-11450,CVE-2017-11528,CVE-2017-11530,CVE-2017-11531,CVE-2017-11533,CVE-2017-11537,CVE-2017-11638,CVE-2017-11642,CVE-2017-12418,CVE-2017-12427,CVE-2017-12429,CVE-2017-12432,CVE-2017-12566,CVE-2017-12654,CVE-2017-12663,CVE-2017-12664,CVE-2017-12665,CVE-2017-12668,CVE-2017-12674,CVE-2017-13058,CVE-2017-13131,CVE-2017-14060,CVE-2017-14139,CVE-2017-14224,CVE-2017-17682,CVE-2017-17885,CVE-2017-17934,CVE-2017-18028,CVE-2017-9405,CVE-2017-9407,CVE-2018-5357,CVE-2018-6405
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Server 12-SP3 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Server 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
Comment 11 Andreas Stieger 2018-03-06 19:44:33 UTC
Releasing for Leap, showing as done otherwise
Comment 12 Swamp Workflow Management 2018-03-06 23:15:31 UTC
openSUSE-SU-2018:0621-1: An update that fixes 35 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1042824,1042911,1048110,1048272,1049374,1049375,1050048,1050119,1050122,1050126,1050132,1050617,1052207,1052248,1052251,1052254,1052472,1052688,1052711,1052747,1052750,1052754,1052761,1055069,1055229,1056768,1057163,1058009,1072898,1074119,1074170,1075821,1076182,1078433
CVE References: CVE-2017-11166,CVE-2017-11170,CVE-2017-11448,CVE-2017-11450,CVE-2017-11528,CVE-2017-11530,CVE-2017-11531,CVE-2017-11533,CVE-2017-11537,CVE-2017-11638,CVE-2017-11642,CVE-2017-12418,CVE-2017-12427,CVE-2017-12429,CVE-2017-12432,CVE-2017-12566,CVE-2017-12654,CVE-2017-12663,CVE-2017-12664,CVE-2017-12665,CVE-2017-12668,CVE-2017-12674,CVE-2017-13058,CVE-2017-13131,CVE-2017-14060,CVE-2017-14139,CVE-2017-14224,CVE-2017-17682,CVE-2017-17885,CVE-2017-17934,CVE-2017-18028,CVE-2017-9405,CVE-2017-9407,CVE-2018-5357,CVE-2018-6405
Sources used:
openSUSE Leap 42.3 (src):    ImageMagick-6.8.8.1-55.1